Skip to main content
GET
/
surveys
/
{id}
/
agent
/
threads
List agent threads
curl --request GET \
  --url https://api.questra.ai/surveys/{id}/agent/threads \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "items": [
    {
      "id": "<string>",
      "orgId": "<string>",
      "userId": "<string>",
      "agentId": "<string>",
      "integrationId": "<string>",
      "surveyId": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "lastMessageAt": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.questra.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

id
string
required

Unique ID or slug of the survey

Query Parameters

cursor
string
limit
integer
default:20
since
string<date-time>

Only return threads with messages at or after this timestamp.

Response

200 - application/json

Paginated agent threads.

items
object[]
required
next_cursor
string | null
required